LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
PropertySetInfoChangeEvent Struct Referencepublished

gets delivered whenever an XPropertySetInfo is changed. More...

`import"PropertySetInfoChangeEvent.idl";`

Inheritance diagram for PropertySetInfoChangeEvent:

## Public Attributes
string | Name
| contains the name of the property. More...
long | Handle
| contains the implementation handle for the property. More...
long | Reason
| contains the reason for the event. More...
Public Attributes inherited from EventObject
com::sun::star::uno::XInterface | Source
| refers to the object that fired the event. More...

## Detailed Description

gets delivered whenever an XPropertySetInfo is changed.

A PropertySetInfoChangeEvent object is sent to XPropertySetInfoChangeListeners.

## Member Data Documentation

## ◆ Handle

long Handle

contains the implementation handle for the property.

May be -1 if the implementation has no handle.

## ◆ Name

string Name

contains the name of the property.

## ◆ Reason

long Reason

contains the reason for the event.

See also
  PropertySetInfoChange

The documentation for this struct was generated from the following file:

- com/sun/star/beans/PropertySetInfoChangeEvent.idl